Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.smime
Class SmimeCompressed

`java.lang.Object
oracle.security.crypto.smime.SmimeCompressed`

All Implemented Interfaces:
  SmimeObject

public class SmimeCompressed
extends java.lang.Object
implements SmimeObject

A S/MIME RFC 3274 Compressed Message.

Constructor Summary
`SmimeCompressed(java.io.InputStream is)` Create a `SmimeCompressed`.
`SmimeCompressed(javax.mail.internet.MimeBodyPart content)` Create a `SmimeCompressed`.
`SmimeCompressed(javax.mail.internet.MimeBodyPart content, oracle.security.crypto.core.AlgorithmIdentifier contentCompressionAlgID)` Create a `SmimeCompressed`.

Method Summary
`java.lang.String` | `generateContentType()` Returns the content type.
`java.lang.String` | `generateContentType(boolean useStandardContentTypes)` Returns the content type.
`oracle.security.crypto.core.AlgorithmIdentifier` | `getContentCompressionAlgID()` Returns the content compression algorithm.
`javax.mail.internet.MimeBodyPart` | `getEnclosedBodyPart()` Returns the Decompressed Content.
`void` | `writeTo(java.io.OutputStream os, java.lang.String mimeType)` Writes this `SmimeCompressed` to the given output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmimeCompressed

    public SmimeCompressed(javax.mail.internet.MimeBodyPart content)
                    throws javax.mail.MessagingException,
                           java.io.IOException

  Create a `SmimeCompressed`.
Parameters:
  `content` - The message content.
Throws:
  `javax.mail.MessagingException` - An error occurred while setting the message content.
  `java.io.IOException`

### SmimeCompressed

    public SmimeCompressed(javax.mail.internet.MimeBodyPart content,
                           oracle.security.crypto.core.AlgorithmIdentifier contentCompressionAlgID)
                    throws javax.mail.MessagingException,
                           java.io.IOException

  Create a `SmimeCompressed`.
Parameters:
  `content` - The message content.
  `contentCompressionAlgID` - The content compression algorithm identifier.
Throws:
  `javax.mail.MessagingException` - An error occurred while setting the message content.
  `java.io.IOException`

### SmimeCompressed

    public SmimeCompressed(java.io.InputStream is)
                    throws java.io.IOException

  Create a `SmimeCompressed`.
Parameters:
  `is` - The input stream.
Throws:
  `java.io.IOException` - The input encoding is incorrect or an I/O error occurred.

Method Detail

### getEnclosedBodyPart

    public javax.mail.internet.MimeBodyPart getEnclosedBodyPart()
                                                         throws oracle.security.crypto.core.AlgorithmIdentifierException,
                                                                oracle.security.crypto.util.InvalidInputException,
                                                                javax.mail.MessagingException

  Returns the Decompressed Content.
  Throws:
    `oracle.security.crypto.core.AlgorithmIdentifierException` - The content compression algorithm is not supported.
    `oracle.security.crypto.util.InvalidInputException` - The message content type is incorrect.
    `javax.mail.MessagingException` - An error occurred while setting the decrypted content.

### getContentCompressionAlgID

    public oracle.security.crypto.core.AlgorithmIdentifier getContentCompressionAlgID()

  Returns the content compression algorithm.
  Returns:
    The compression algorithm identifier.

### generateContentType

    public java.lang.String generateContentType(boolean useStandardContentTypes)

  Returns the content type.
  Specified by:
    `generateContentType` in interface `SmimeObject`
  Parameters:
    `useStandardContentTypes` - If `true` the standard content type is generated; If `false` the experimental content type is generated.
  Returns:
    The content type string.

### generateContentType

    public java.lang.String generateContentType()

  Returns the content type.
  Specified by:
    `generateContentType` in interface `SmimeObject`
  Returns:
    The content type string.

### writeTo

    public void writeTo(java.io.OutputStream os,
                        java.lang.String mimeType)
                 throws java.io.IOException,
                        javax.mail.MessagingException

  Writes this `SmimeCompressed` to the given output stream. Relevant canonicalizations, such as transforming text line-breaks to `CRLF`, are applied.
  Specified by:
    `writeTo` in interface `SmimeObject`
  Parameters:
    `os` - The output stream to which this `SmimeCompressed` will be written.
    `mimeType` - Ignored.
  Throws:
    `java.io.IOException` - An I/O error occurred.
    `javax.mail.MessagingException` - An error occurred while creating the smime message.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools S/MIME Java API Reference 10g Release 3 (10.1.3) B25379-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.